<?php  
/*------------------------------------------------------------------------
# author    Songwut Maneefun
# copyright Copyright © 2012 ziarastudio.com. All rights reserved.
# @license  http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Website   http://www.ziarastudio.com
-------------------------------------------------------------------------*/

defined( '_JEXEC' ) or die; 

//JHtml::_('behavior.framework', true);
// variables
$app = JFactory::getApplication();
$doc = JFactory::getDocument(); 
$params = &$app->getParams();
$pageclass = $params->get('pageclass_sfx');
$tpath = $this->baseurl.'/templates/'.$this->template;
$templateparams     = $app->getTemplate(true)->params;
$logo               = $this->params->get('logo');
$sitetitle = $this->params->get('sitetitle');
$sitedescription = $this->params->get('sitedescription');
$sunobject = $this->params->get('sunobject');

$this->setGenerator(null);

// load sheets and scripts
$doc->addStyleSheet($tpath.'/css/template.css.php?v=1.0.0'); 
$doc->addScript($tpath.'/js/modernizr.js'); // <- this script must be in the head


// unset scripts, put them into /js/template.js.php to minify http requests
unset($doc->_scripts[$this->baseurl.'/media/system/js/mootools-core.js']);
unset($doc->_scripts[$this->baseurl.'/media/system/js/core.js']);
unset($doc->_scripts[$this->baseurl.'/media/system/js/caption.js']);

?><!doctype html>
<!--[if IEMobile]><html class="iemobile" lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if lt IE 7]> <html class="no-js ie6 oldie" lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if IE 7]>    <html class="no-js ie7 oldie" lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if IE 8]>    <html class="no-js ie8 oldie" lang="<?php echo $this->language; ?>"> <![endif]-->
<!--[if gt IE 8]><!-->  <html class="no-js" lang="<?php echo $this->language; ?>"> <!--<![endif]--><head>
<script src="http://www.gstatic.com/swiffy/v4.1/runtime.js"></script>
<script type="text/javascript" src="<?php echo $tpath.'/js/sun.js'; ?>"></script>
<script type="text/javascript" src="<?php echo $tpath.'/js/template.js.php'; ?>"></script>
  <jdoc:include type="head" />
  

<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" /> <!-- mobile viewport -->
  <link rel="stylesheet" media="only screen and (max-width: 768px)" href="<?php echo $tpath; ?>/css/tablet.css" type="text/css" />
  <link rel="stylesheet" media="only screen and (min-width: 320px) and (max-width: 480px)" href="<?php echo $tpath; ?>/css/phone.css" type="text/css" />
  <!--[if IEMobile]><link rel="stylesheet" media="screen" href="<?php echo $tpath; ?>/css/phone.css" type="text/css" /><![endif]--> <!-- iemobile -->
  <link rel="apple-touch-icon-precomposed" href="<?php echo $tpath; ?>/apple-touch-icon-57x57.png"> <!-- iphone, ipod, android -->
  <link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?php echo $tpath; ?>/apple-touch-icon-72x72.png"> <!-- ipad -->
  <link rel="apple-touch-icon-precomposed" sizes="114x114" href="<?php echo $tpath; ?>/apple-touch-icon-114x114.png"> <!-- iphone retina -->
  <!--[if lte IE 8]>
    <style> 
      {behavior:url(<?php echo $tpath; ?>/js/PIE.htc);}
    </style>
  <![endif]-->

<script type="text/javascript">
                        var logo ='<?php echo (int)$this->params->get('logo');?>';
                </script>
</head>
	
<body>

<!--start bgposition -->
<div class="bgposition">
<div id="sunlight">
<script>
var stage = new swiffy.Stage(document.getElementById('sunlight'), <?php echo htmlspecialchars($templateparams->get('sunobject'));?>);
stage.start();
</script>
</div>
<!--start cloud -->
<div class="cloud">
<!--start head -->
<div id="header">

<div id="logo">
<a href="<?php echo $this->baseurl ?>">
                                        <?php if ($logo != null ): ?>
                                        <img src="<?php echo $this->baseurl ?>/<?php echo htmlspecialchars($logo); ?>"  alt="<?php echo htmlspecialchars($templateparams->get('sitetitle'));?> : <?php echo htmlspecialchars($templateparams->get('sitedescription'));?>" />
                                        <?php else: ?>
<?php echo htmlspecialchars($templateparams->get('sitetitle'));?> : 
<?php echo htmlspecialchars($templateparams->get('sitedescription'));?> 
<?php endif; ?>
                                        

</a>
                                        
                                        
</div>
<!--<div class="bird"></div> -->
</div>
<!--end head -->
<!--start page -->
<div id="page">
<div class="headoutline">
<div id="headmenu">
<jdoc:include type="modules" name="menu" />
</div>                                    
</div>
<!-- end headoutline -->

<div class="contentposition">
<div class="contentmain">
<div class="contenttop">
<div class="contentwelcome"><jdoc:include type="modules" name="welcome" /></div>

</div>
<div class="contentbottom"></div>
<div class="contentall">

 <div id="breadcrumbs">
<jdoc:include type="modules" name="breadcrumbs" />
</div>

<!-- start content -->
<?php if ($this->countModules('content')): ?>
<!-- start main -->
<div id="main" class="fpageborder" >
	<jdoc:include type="message"  />
	<jdoc:include type="component"  />
                                                
</div>
<!-- end main -->
<jdoc:include type="modules" style="Normal" name="content" />

<?php endif; ?>
<!-- end content -->

<!-- start content2 -->
<?php if ($this->countModules('content2')): ?>
<jdoc:include type="modules" style="Normal" name="content2" />
<?php endif; ?>
<!-- end content -->
                                
                 <!--start 3 tap -->
                        
<div id="footer">
<?php if ($this->countModules('user1')): ?>
<div class="box box1"> <jdoc:include type="modules" style="Normal" name="user1" /></div>
<?php endif ; ?>
<?php if ($this->countModules('user2')): ?>
<div class="box box2"> <jdoc:include type="modules" style="Normal" name="user2" /></div>
<?php endif ; ?>
<?php if ($this->countModules('user3')): ?>
<div class="box box3"> <jdoc:include type="modules" style="Normal" name="user3" /></div>
<?php endif ; ?>
</div>
                        
                        
                <!--end 3 tap -->
  
</div>
</div>
</div>

<div id="footermenu"><span><jdoc:include type="modules" name="footer" style="xhtml" /></span></div>
<div class="footter_end"></div>

</div>
<!--end page -->
<!-- all -->

				
<!--start outlinefooter -->
<div class="outlinefooter"><jdoc:include type="modules" style="Normal" name="debug" />
<div id="animal1"></div>
<div id="animal2"></div>
<div class="tree1"></div>
<div id="gress2">
<div class="txtgrass2">Copyright © 2012 WatThai Template Design by <a href="http://www.ziarastudio.com" target="_new">Songwut Maneefun</a></div>
</div>
</div>
<!--end outlinefooter -->
</div>
<!--end cloud -->

</div>
<!--end bgposition -->

</body>

</html>

